/* Styles pour le corps de la page */
body {
    font-family: Arial, sans-serif;
    color: #333;
    margin: 0; /* Réinitialisation de la marge pour le corps de la page */
    padding: 0; /* Réinitialisation du rembourrage pour le corps de la page */
}

/* Styles pour le container principal */
.container {
    background-color: #fff;
    border-radius: 5px;
    padding: 20px;
    margin-top: 20px;
    margin-bottom: 3.5%; /* Ajout d'une marge inférieure personnalisée */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

/* Styles pour le titre principal */
h2 {
    color: #007bff;
    font-size: 2rem; /* Taille de police augmentée pour les grands écrans */
    margin-top: 0; /* Suppression de la marge supérieure par défaut */
}

/* Styles pour les sous-titres */
h3 {
    color: #333;
    margin-top: 20px;
    font-size: 1.5rem; /* Taille de police augmentée pour les grands écrans */
}

/* Styles pour les paragraphes */
p {
    line-height: 1.6;
    font-size: 1rem; /* Taille de police par défaut */
}

/* Ajout d'une marge supérieure personnalisée pour l'en-tête */
.header {
    margin-top: 3.5%;
}

/* Ajout d'une marge inférieure personnalisée pour le pied de page */
.footer {
    margin-bottom: 3.5%;
}



/* Styles responsifs */
@media screen and (max-width: 768px) {
    /* Pour les écrans de taille moyenne et inférieure */
    .container {
        margin-top: 10px;
        padding: 15px; /* Réduction du rembourrage pour les écrans de taille moyenne */
    }

    /* Ajustements pour les éléments de formulaire sur les petits écrans */
    .form-group {
        margin-bottom: 15px;
    }
}

@media screen and (max-width: 576px) {
    /* Pour les écrans de petite taille */
    .container {
        padding: 10px;
    }

    /* Ajustements supplémentaires pour les éléments de formulaire sur les très petits écrans */
    .form-group {
        margin-bottom: 10px;
    }

    /* Ajustements pour les titres */
    h2, h3 {
        font-size: 1.5rem;
    }

    /* Ajustements pour les paragraphes */
    p {
        font-size: 0.9rem; /* Réduction de la taille de police pour les écrans de petite taille */
    }
}
